# confirm

An instance to display a confirm dialog that covers the entire Dashboard, and prevents the user from interacting with anything under it.

## How to use

### add

```jsx
import { Plugin } from '@root'

const confirmPayload = {
    message: `Are you sure about that 🤔?`,
    onClose: () => {},
    onCancel: () => {}
    onConfirm: () => {},
    closable: true,
    localizations: {
        cancel: 'Cancel',
        confirm: 'Confirm'
    }
}

Plugin.confirm.add(confirmPayload)
```

### remove

simply by calling Plugin.confirm.remove()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-plugin/api-and-gui/api/confirm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
